## galapi
Class xsDouble

    java.lang.Object
      galapi.Item
          galapi.Atomic
              galapi.xsDouble

public class xsDouble
extends Atomic

Field Summary

Fields inherited from class galapi.Item
`item`

Constructor Summary
`xsDouble(double g)`

Method Summary
`protected static int` `doubleToItem(double f)`
`protected static double` `itemToDouble(int it)`
`double` `toDouble()`

Methods inherited from class galapi.Item
`finalize, getAtomic, getAttribute, getElement, getNativeItem, getNode, itemKind, nativeAtomicValue, nativeAttribute, nativeElement, nativeFree, nativeItemKind, nativeNode, nativeString, setItem, toString`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### xsDouble

    public xsDouble(double g)
             throws GalapiException

Method Detail

### toDouble

    public double toDouble()
                    throws GalapiException

  Throws:
    `GalapiException`

### doubleToItem

    protected static int doubleToItem(double f)

### itemToDouble

    protected static double itemToDouble(int it)